geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jacek Laskowski" <ja...@laskowski.net.pl>
Subject Re: Upgrade OpenJPA to v1.0.2 in Geronimo 2.0 or 2.1 due to bug
Date Thu, 28 Feb 2008 03:28:25 GMT
On Wed, Feb 27, 2008 at 6:43 PM, Brian Gregory <bgregory@g-webdesign.com> wrote:

>  1. placing the openjpa-1.0.2.jar in my WEB-INF/lib directory

I'm pretty sure I've read in the spec that a jpa provider can be put
in WEB-INF/lib directory and it should be the one used by the webapp
overriding the one provided by the application server. Don't know if
Geronimo supports this. It looks it does not. It's a bug then. Report
the issue.

As to 4-5 you can use artifact_alias entry to get geronimo to find it
(quotes from DJ's last email ;-))

entries would look like
org.apache.openjpa/openjpa//jar=org.apache.openjpa/openjpa/1.0.2/jar
org.apache.openjpa/openjpa/1.0.0/jar=org.apache.openjpa/openjpa/1.0.2/jar

I have never used the technique so I'd be glad if you let me know how
it worked ;-)

Jacek

-- 
Jacek Laskowski
http://www.JacekLaskowski.pl

Mime
View raw message